%define minver %(echo %version | cut -d. -f3)
%define majver %(echo %version | cut -d. -f1-2)
Name:          minicom
Version:       2.7.1
Release:       1mamba
Summary:       A menu driven communications program
Group:         Applications/Communication
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://alioth.debian.org/projects/minicom/
Source:        https://alioth.debian.org/frs/download.php/file/3977/minicom-%{version}.tar.gz
#Source:        http://alioth.debian.org/frs/download.php/%{minver}/minicom-%{majver}.tar.gz
Source1:       minicom-2.1-conf
Patch0:        minicom-2.3-getline-rename.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
%if "%{stage1}" != "1"
BuildRequires: gkermit
%endif
BuildRequires: glibc-devel
BuildRequires: liblockdev-devel
BuildRequires: libncurses-devel
## AUTOBUILDREQ-END
Requires:      liblockdev >= 1.0.1
Requires:      lrzsz
%if "%{stage1}" != "1"
Requires:      gkermit >= 1.0
%endif
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Minicom is a menu driven communications program. It emulates ANSI and VT102 terminals. It has a dialing directory and auto zmodem download.

%prep
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%setup -q -n %{name}-%{majver}
#%patch0 -p1

%build
%configure \
   --enable-cfg-dir=%{_sysconfdir}/minicom
%make

%install
%makeinstall
mkdir -p %{buildroot}%{_sysconfdir}/minicom
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/minicom/minirc.dfl

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/minicom/minirc.dfl
%{_bindir}/ascii-xfr
%{_bindir}/minicom
%{_bindir}/runscript
%{_bindir}/xminicom
%{_mandir}/man1/*

%changelog
* Thu Apr 20 2017 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Sun Jan 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7-1mamba
- update to 2.7

* Wed Jan 25 2012 Automatic Build System <autodist@mambasoft.it> 2.6.3689-1mamba
- update to 2.6.3689

* Mon Jan 31 2011 Automatic Build System <autodist@mambasoft.it> 2.5.3487-1mamba
- update to 2.5.3487

* Mon Jan 31 2011 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic update by autodist

* Wed Nov 17 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-3mamba
- added requirement for lrzsz (for x/y/z modem support)

* Thu Apr 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-2mamba
- added patch to resolve a conflict with getline() function

* Sun Jan 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-1mamba
- update to 2.3

* Fri Jan 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-1qilnx
- update to version 2.2 by autospec

* Wed Aug 03 2005 Silvan Calarco <silvan.calarco@qinet.it> 2.1-4qilnx
- added support for gkermit

* Fri Apr 09 2004 Silvan Calarco <silvan.calarco@qinet.it> 2.1-3qilnx
- lockdev requirement added 
- default configuration files in /etc/minicom/

* Fri Apr 09 2004 Silvan Calarco <silvan.calarco@qinet.it> 2.1-2qilnx
- fixed sysconfdir location

* Thu Jun 26 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.1-1qilnx
- Creation of minicom package
